Get Application Demo Logs
import requests
url = "https://platform.ankra.app/api/v1/org/applications/{application_id}/demos/{workspace_id}/logs"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://platform.ankra.app/api/v1/org/applications/{application_id}/demos/{workspace_id}/logs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://platform.ankra.app/api/v1/org/applications/{application_id}/demos/{workspace_id}/logs \
--header 'Authorization: Bearer <token>'{
"container": "<string>",
"lines": [
"<string>"
],
"message": "<string>",
"pod_name": "<string>",
"truncated": true
}{
"detail": "<string>"
}{
"detail": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Applications
Get Application Demo Logs
Collect a bounded log tail from one of the demo’s pods. An empty pod resolves to the demo’s own pod. tail_lines defaults to 200 and is capped at 2000. A malformed workspace_id is reported as the same 404 as an unknown demo. A browser session twin is mounted at the same path without the /api/v1 prefix (cookie authentication).
GET
/
api
/
v1
/
org
/
applications
/
{application_id}
/
demos
/
{workspace_id}
/
logs
Get Application Demo Logs
import requests
url = "https://platform.ankra.app/api/v1/org/applications/{application_id}/demos/{workspace_id}/logs"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://platform.ankra.app/api/v1/org/applications/{application_id}/demos/{workspace_id}/logs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://platform.ankra.app/api/v1/org/applications/{application_id}/demos/{workspace_id}/logs \
--header 'Authorization: Bearer <token>'{
"container": "<string>",
"lines": [
"<string>"
],
"message": "<string>",
"pod_name": "<string>",
"truncated": true
}{
"detail": "<string>"
}{
"detail": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.